# Technology Vulnerability Stats

GET /easm/technologies/stats/vulnerability: Vulnerability statistics for technologies (filter by tech_id, version).

Source: https://docs.deepinfo.com/reference/easm/technology-vulnerability-stats/

Last updated: 2026-09-27

---
`GET https://api.deepinfo.com/v1/easm/technologies/stats/vulnerability`

Vulnerability statistics for technologies (filter by `tech_id`, `version`).

## Authentication

Send your API key in the `apikey` request header.

## Query Parameters

| Parameter | Required | Description | Example |
|---|---|---|---|
| `tech_id` | Optional |  |  |
| `version` | Optional |  |  |

## Response Fields

| Field | Type |
|---|---|
| `total` | integer |
| `by_severity` | object |

## Response Schema

_Inferred from examples._ Built from the saved 2xx example response: the fields it contains, with the types seen there. It is not a contract.

| Field | Type |
|---|---|
| `total` | number |
| `by_severity` | object |
| `by_severity.critical` | number |
| `by_severity.high` | number |
| `by_severity.medium` | number |
| `by_severity.low` | number |
| `by_severity.none` | number |
| `by_severity.unknown` | number |

## Examples

### 200 · OK

```bash
curl 'https://api.deepinfo.com/v1/easm/technologies/stats/vulnerability' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "total": 129,
  "by_severity": {
    "critical": 30,
    "high": 7,
    "medium": 36,
    "low": 2,
    "none": 24,
    "unknown": 30
  }
}
```
